Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

i need to go back to the previous Firefox because I need the Zotero to work with my research

more options

Firefox was quickly upgraded now and I had no chance to stop when i was informed that Zotero is not going to work on it. Please let me know how to reinstall the previous version. thank you, Manal

Chosen solution

Install Firefox 6.0 - you are using a Beta version now.
http://www.mozilla.com/en-US/firefox/

Read this answer in context 👍 0

All Replies (2)

more options

Chosen Solution

Install Firefox 6.0 - you are using a Beta version now.
http://www.mozilla.com/en-US/firefox/

more options

you are awesome and thank you for being so prompt. manal